# eric4.SqlBrowser.SqlConnectionDialog

Module implementing a dialog to enter the connection parameters.

### Global Attributes

None

### Classes

SqlConnectionDialog | Class implementing a dialog to enter the connection parameters.

### Functions

None

## SqlConnectionDialog

Class implementing a dialog to enter the connection parameters.

### Derived from

QDialog, Ui_SqlConnectionDialog

### Class Attributes

None

### Methods

SqlConnectionDialog | Constructor
__updateDialog | Private slot to update the dialog depending on it's contents.
getData | Public method to retrieve the connection data.
on_databaseEdit_textChanged | Private slot handling the change of the database name.
on_databaseFileButton_clicked | Private slot to open a database file via a file selection dialog.
on_driverCombo_activated | Private slot handling the selection of a database driver.

#### SqlConnectionDialog (Constructor)

SqlConnectionDialog(parent = None)

Constructor

#### SqlConnectionDialog.__updateDialog

__updateDialog()

Private slot to update the dialog depending on it's contents.

#### SqlConnectionDialog.getData

getData()

Public method to retrieve the connection data.

Returns:
  tuple giving the driver name (QString), the database name (QString), the user name (QString), the password (QString), the host name (QString) and the port (integer)

#### SqlConnectionDialog.on_databaseEdit_textChanged

on_databaseEdit_textChanged(p0)

Private slot handling the change of the database name.

#### SqlConnectionDialog.on_databaseFileButton_clicked

on_databaseFileButton_clicked()

Private slot to open a database file via a file selection dialog.

#### SqlConnectionDialog.on_driverCombo_activated

on_driverCombo_activated(txt)

Private slot handling the selection of a database driver.

Up